---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultAuth
metadata:
  name: rancher
  namespace: cattle-system
spec:
  method: kubernetes
  mount: k8s/au/syd1
  vaultConnectionRef: vso-system/default
  allowedNamespaces:
    - cattle-system
  kubernetes:
    role: rancher
    serviceAccount: rancher
    audiences:
      - vault
    tokenExpirationSeconds: 600
